/*
	File:		InstallerMemoryCBGlue.c

	Contains:	xxx put contents here xxx

	Written by:	Kevin Aitken

	Copyright:	 1993 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

		 <4>	11/29/93	rdm		Changed the long to unsigned long inside INewHandle.
		 <3>	11/18/93	KBA		I now initialize the result value on callbacks that return void.
		 <2>	 7/20/93	KBA		Added cast to INewHandle return statement.
		 <1>	 6/21/93	KBA		first checked in

*/


Handle INewHandle( 	CallBackProcPtr	pCallBackProcPtr,
					unsigned long	pLenth )
{
	CallBackPBRec	theCallBackPBRec;
	
	theCallBackPBRec.fSelector = 29;
	theCallBackPBRec.fParam[0] = (long)pLenth;
	(**pCallBackProcPtr)( &theCallBackPBRec );
	return (Handle)theCallBackPBRec.fResult;
}	
	
void IDisposHandle( 	CallBackProcPtr	pCallBackProcPtr,
						Handle			pHandle )
{
	CallBackPBRec	theCallBackPBRec;
	
	theCallBackPBRec.fSelector 	= 30;
	theCallBackPBRec.fParam[0] 	= (long)pHandle;
	theCallBackPBRec.fResult 	= noErr;
	(**pCallBackProcPtr)( &theCallBackPBRec );
}	
	
void IHLock( 	CallBackProcPtr	pCallBackProcPtr,
				Handle			pHandle )
{
	CallBackPBRec	theCallBackPBRec;
	
	theCallBackPBRec.fSelector 	= 31;
	theCallBackPBRec.fParam[0] 	= (long)pHandle;
	theCallBackPBRec.fResult 	= noErr;
	(**pCallBackProcPtr)( &theCallBackPBRec );
}	
	
void IHUnLock( 	CallBackProcPtr	pCallBackProcPtr,
				Handle			pHandle )
{
	CallBackPBRec	theCallBackPBRec;
	
	theCallBackPBRec.fSelector 	= 32;
	theCallBackPBRec.fParam[0] 	= (long)pHandle;
	theCallBackPBRec.fResult 	= noErr;
	(**pCallBackProcPtr)( &theCallBackPBRec );
}	
	
